<?php

/**
 * Carrega CONFIG
 */

function is_localhost(){
	return (in_array($_SERVER['REMOTE_ADDR'], ['127.0.0.1', '::1', 'localhost.gits', 'localhost.sites']));
}


//config_default
require_once(dirname(dirname(__FILE__)) . '/config_default.php');

//config
require_once(dirname(dirname(__FILE__)) . '/config.php');

$configs = array_merge($config_d, $config);


//verifica se parâmetros obrigatórios foram citados
if(empty($configs['ROOT_URL'])){
  die('Faltou informar o ROOT_URL');
}
if(empty($configs['ROOT_PATH'])){
  die('Faltou informar o ROOT_PATH');
}

//joga config pra GLOBALS
foreach($configs as $k=>$c){


  //trata valores virtuais..
  if(!is_array($c)) {

    $re = "/\\{(.+)\\}/mi";
    preg_match_all($re, $c, $out);

    if (isset($out[1][0])) {
      $val = $out[1][0];
      $val = $$val;
      $c = str_replace($out[0][0], $val, $c);
    }
  }
  $GLOBALS[$k] = $c;
}

//carrega registro do config
function get_config($key){
  return $GLOBALS[$key];
}

//carrega registro do config
function get_link($link){

  $langs = get_config('LANGS_ADMIN');
  return get_config('ROOT_URL') . get_config('LINK_PREFIX') . $langs['default'] . '/' .$link;
}
?>